WxWidgets 3.1.0 и несовместимость с Odamex Launcher - 18 Февраля 2014 - Блог - riderr3 homepage
Блог
Приветствую Вас, Гость · RSS Четверг, 08.12.2016, 08:53









Главная » 2014 » Февраль » 18 » WxWidgets 3.1.0 и несовместимость с Odamex Launcher
00:55
WxWidgets 3.1.0 и несовместимость с Odamex Launcher
Из за вероятного бага в WxWidgets компиляция Odamex Launcher с помощью CMake на данный момент не возможна.

Собственно сама ошибка:

/home/riderr3/trunk/odalaunch/src/frm_odaget.cpp: In member function «virtual void* FTPThread::Entry()»:
/home/riderr3/trunk/odalaunch/src/frm_odaget.cpp:625:49: error: «wxSscanf» was not declared in this scope
make[3]: *** [odalaunch/CMakeFiles/odalaunch.dir/src/frm_odaget.cpp.o] Error 1
make[2]: *** [odalaunch/CMakeFiles/odalaunch.dir/all] Error 2
make[1]: *** [odalaunch/CMakeFiles/odalaunch.dir/rule] Error 2
make: *** [odalaunch] Error 2


В deb-репозитории лежит старая версия, которая не запускается и требует WxWidgets 3.0.0. На 3.1.0 не получается собрать из исходников.
Отпишусь, когда найду решение.
Просмотров: 166 | Добавил: riderr3 | Теги: deb, исходники, баг, Odamex Launcher, Компиляция, WxWidgets | Рейтинг: 0.0/0
Всего комментариев: 0
Имя *:
Email *:
Код *:
Copyright MyCorp © 2016